import request from '@/utils/request'

// 查询竞争对手列表
export function listRival(query) {
  return request({
    url: '/mk/bo/rival/list',
    method: 'get',
    params: query
  })
}

// 查询竞争对手详细
export function getRival(id) {
  return request({
    url: '/mk/bo/rival/' + id,
    method: 'get'
  })
}

// 新增竞争对手
export function addRival(data) {
  return request({
    url: '/mk/bo/rival',
    method: 'post',
    data: data
  })
}

// 修改竞争对手
export function updateRival(data) {
  return request({
    url: '/mk/bo/rival',
    method: 'put',
    data: data
  })
}

// 删除竞争对手
export function delRival(id) {
  return request({
    url: '/mk/bo/rival/' + id,
    method: 'delete'
  })
}
